%define rel		1
%define rc_ver		1
%define rc_name		rcgit.19
%if %{rc_ver}
%define release		%mkrel -c %{rc_name} %{rel}
%define tarballver	%{version}-%{rc_name}
%define tarballdir	v%{version}-%{rc_name}
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%endif

Name:		remmina
Version:	1.2.0
Release:	%{release}
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2+
URL:		http://www.remmina.org/wp/
Source0:	https://github.com/FreeRDP/Remmina/archive/%{tarballdir}/Remmina-%{tarballver}.tar.gz

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(avahi-client) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.30
BuildRequires:	pkgconfig(spice-client-gtk-3.0)
BuildRequires:	pkgconfig(appindicator3-0.1)
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(zlib)

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

#----------------------------------------------------------------------------

%package	plugins-common
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}

%description	plugins-common
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-gnome
Summary:	GNOME keyring integration for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(libsecret-1)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-gnome
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with GNOME keyring support for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-nx
Summary:	NX plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	nxproxy

%description	plugins-nx
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the NX plugin for the Remmina remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(freerdp2) >= 2.0
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	freerdp >= 2.0

%description	plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-spice
Summary:	SPICE plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-spice
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the SPICE plugin for the Remmina remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-telepathy
Summary:	Telepathy plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(telepathy-glib)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-telepathy
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Telepathy plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libvncserver)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-xdmcp
Summary:	XDMCP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	x11-server-xephyr

%description	plugins-xdmcp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the XDMCP plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%prep
%setup -qn Remmina-%{tarballver}
%autopatch -p1

%build
%cmake -DWITH_APPINDICATOR=ON

%make_build

%install
%make_install -C build

%find_lang %{name}

desktop-file-install \
	--remove-category="X-GNOME-NetworkSettings" \
	--dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%license COPYING LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/*/actions/%{name}*.png
%{_iconsdir}/hicolor/*/emblems/%{name}*.png
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins-common
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%license COPYING LICENSE
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

%files plugins-gnome
%{_libdir}/%{name}/plugins/%{name}-plugins-gnome.so

%files plugins-nx
%{_libdir}/%{name}/plugins/%{name}-plugin-nx.so
%{_iconsdir}/hicolor/*/emblems/%{name}-nx.png

%files plugins-rdp
%{_libdir}/%{name}/plugins/%{name}-plugin-rdp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-rdp-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-rdp.png

%files plugins-spice
%{_libdir}/%{name}/plugins/%{name}-plugin-spice.so
%{_iconsdir}/hicolor/*/emblems/%{name}-spice.png

%files plugins-telepathy
%{_libdir}/%{name}/plugins/%{name}-plugin-telepathy.so

%files plugins-vnc
%{_libdir}/%{name}/plugins/%{name}-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc.png

%files plugins-xdmcp
%{_libdir}/%{name}/plugins/%{name}-plugin-xdmcp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp.png


%changelog
* Tue Aug 01 2017 daviddavid <daviddavid> 1.2.0-0.rcgit.19.1.mga6
+ Revision: 1133877
- new version: 1.2.0-rcgit.19
- rebuild against new freerdp 2.0.0-rc0

* Thu Feb 23 2017 daviddavid <daviddavid> 1.2.0-0.rcgit.18.1.mga6
+ Revision: 1087530
- new version: 1.2.0-rcgit.18

* Fri Jan 13 2017 mrambo3501 <mrambo3501> 1.2.0-0.rcgit.17.2.mga6
+ Revision: 1081553
- bump rel to rebuild for new libvncserver

* Sun Jan 01 2017 daviddavid <daviddavid> 1.2.0-0.rcgit.17.1.mga6
+ Revision: 1079496
- new version: 1.2.0-rcgit.17
- remove merged upstream patch

* Fri Dec 23 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.16.2.mga6
+ Revision: 1076516
- rebuild for new spice-gtk 0.33

* Wed Nov 02 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.16.1.mga6
+ Revision: 1064737
- new version: 1.2.0-rcgit.16
- remove merged upstream patches
- add patch to complete French translation
  * https://github.com/FreeRDP/Remmina/pull/1038

* Mon Oct 10 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.15.2.mga6
+ Revision: 1059984
- add upstream patch to update French translation
  * https://github.com/FreeRDP/Remmina/pull/1014

* Tue Aug 16 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.15.1.mga6
+ Revision: 1046509
- new version: 1.2.0-rcgit.15
- enable appindicator3 support to fix systray icon not shown properly
  * https://github.com/FreeRDP/Remmina/issues/944

* Fri Aug 12 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.14.1.mga6
+ Revision: 1046081
- new version: 1.2.0-rcgit.14
- enable SPICE plugin

* Wed May 18 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.12.1.mga6
+ Revision: 1016628
- new version: 1.2.0-rcgit.12
- remove merged upstream patch

* Mon Mar 28 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.11.1.mga6
+ Revision: 995874
- new version: 1.2.0-rcgit.11

* Sat Mar 12 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.10.1.mga6
+ Revision: 989519
- new version: 1.2.0-rcgit.10
- add upstream patch to fix rcgit.10 changelog

* Fri Mar 04 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.9.1.mga6
+ Revision: 985443
- new version: 1.2.0-rcgit.9
- add upstream patch to fix rcgit.9 changelog
- switch now BR to pkgconfig(freerdp2)
- add BR pkgconfig(webkit2gtk-4.0)

* Wed Jan 20 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.8.3.mga6
+ Revision: 926055
- rebuild for fixed freerdp on arm arch

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.2.0-0.rcgit.8.2.mga6
+ Revision: 921835
- rebuild for gnutls

* Tue Jan 05 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.8.1.mga6
+ Revision: 919812
- new version: 1.2.0-rcgit.8
- remove merged upstream patch

* Thu Dec 17 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.7.1.mga6
+ Revision: 911480
- new version: 1.2.0-rcgit.7
- add upstream patch to fix rcgit.7 changelog

* Fri Dec 11 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.6.1.mga6
+ Revision: 909409
- new version: 1.2.0-rcgit.6
- migrate from libgnome-keyring to libsecret
- add upstream patch to fix rcgit.6 changelog
- rebuild against new freerdp 2.0.0

* Mon Nov 09 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.5.1.mga6
+ Revision: 900089
- new version: 1.2.0-rcgit.5

* Wed Sep 23 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.4.4.mga6
+ Revision: 882452
- rebuild with new tarball 1.2.0-rcgit.4
- upstream has regenerated tarball 1.2.0-rcgit.4 today (20150923)

* Sun Sep 20 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.4.3.mga6
+ Revision: 882011
- new version: 1.2.0-rcgit.4
- fix desktop file category

* Mon Sep 14 2015 fwang <fwang> 1.2.0-0.gitb024598.2.mga6
+ Revision: 879195
- rebuild for new libgcrypt

* Thu Sep 03 2015 daviddavid <daviddavid> 1.2.0-0.gitb024598.1.mga6
+ Revision: 872527
- new snapshot release: 1.2.0-gitb024598fa5eab15c7c5147b2f7593de124e9d0a3
- update URL and Source URL
- fix License
- remove no more needed previous patches
- update file list
- introduce license macro

  + fwang <fwang>
    - more linkage fixes
    - fix linkage
    - fix br on vte
    - disable appindicator support
    - br avahi-ui
    - 1.2.0 rc3

* Sat Jan 10 2015 daviddavid <daviddavid> 1.0.0-14.mga5
+ Revision: 809747
- update desktop file adding GenericName

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-13.mga5
+ Revision: 743629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-12.mga5
+ Revision: 688653
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 daviddavid <daviddavid> 1.0.0-11.mga5
+ Revision: 668869
- rebuild with vte-2.90 as it is now back

* Tue Aug 19 2014 daviddavid <daviddavid> 1.0.0-10.mga5
+ Revision: 665752
- add upstream patch in order to remove the inline copy of libvncserver
  * https://github.com/FreeRDP/Remmina/commit/58881d4dd9129f56cb5ed9e56c54236be494d30a
- remove previous patch: CVE-2014-4607 in bundled minilzo (no longer needed)

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1.0.0-9.mga5
+ Revision: 665681
- add patch from KDE to fix CVE-2014-4607 in bundled minilzo

* Sun Jun 08 2014 wally <wally> 1.0.0-8.mga5
+ Revision: 634757
- add patch to fix build with vte2.91

  + daviddavid <daviddavid>
    - rebuild for new vte

* Fri Mar 28 2014 daviddavid <daviddavid> 1.0.0-7.mga5
+ Revision: 609107
- add a Patch11 to improved French translation by Davy Defaud
 * https://bugs.mageia.org/attachment.cgi?id=5080
- fix setting options Categories on desktop file (to be sure it appears in all desktop environments)

* Mon Mar 24 2014 david-david <david-david> 1.0.0-6.mga5
+ Revision: 607866
- fix missing translations on desktop file, while is available upstream (mga#12950#c8)
- remove unneeded building of desktop file on Patch9
- update linkurl Source0 on "https://github.com/downloads/FreeRDP/Remmina"

  + bersuit <bersuit>
    -Add patch to fix "Missing desktop file" #mga12950
    -Move fix install path form spec to patch
    -Minor cosmetic changes

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 518081
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 380314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 juancho <juancho> 1.0.0-2.mga3
+ Revision: 313657
+ rebuild (emptylog)

* Mon Oct 29 2012 juancho <juancho> 1.0.0-1.mga3
+ Revision: 311507
- Fixed RPM groups according to new policy.
- Added missing BR for avahi-ui-gtk3

  + bersuit <bersuit>
    - Update to new version 1.0.0
    - New Version: 1.0.0
    - padawan commit: New Version

* Thu Mar 03 2011 saispo <saispo> 0.9.3-1.mga1
+ Revision: 63369
- imported package remmina

